#!/bin/bash
# Parameters: <FQDN IP> and <FQDN PORT>

serverIP=$1
serverPort=$2

# update values to dupserverinfo
defaults write /Library/DesktopCentral_Agent/data/serverinfo.plist SERVERSECIPADDRESS $serverIP
defaults write /Library/DesktopCentral_Agent/data/serverinfo.plist SERVERSECUREPORT $serverPort
defaults write /Library/DesktopCentral_Agent/data/serverinfo.plist SERVERPROTOCOL https

# update values to serverinfo
defaults write /Library/DesktopCentral_Agent/data/dupserverinfo.plist SERVERSECIPADDRESS $serverIP
defaults write /Library/DesktopCentral_Agent/data/dupserverinfo.plist SERVERSECUREPORT $serverPort
defaults write /Library/DesktopCentral_Agent/data/serverinfo.plist SERVERPROTOCOL https

# Set permission for files
chmod 755 /Library/DesktopCentral_Agent/data/serverinfo.plist
chmod 755 /Library/DesktopCentral_Agent/data/dupserverinfo.plist

# Remove meta xml
rm /Library/DesktopCentral_Agent/data/meta-data.xml

# run cfupdate
/Library/DesktopCentral_Agent/bin/cfgupdate
